FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000927FL51.2 FLCCpublic2018-07-30 16:392018-08-23 16:29
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.17 
Target Version5.1.18Fixed in Version5.1.18 
Summary0000927: Support a new data type for variable length fileds (strings/binaries) with length and pointer
DescriptionTo build a fix data structure containing variable length data fields it would be useful to support a length and pointer representation in table support.

1 byte length plus pointer
2 byte length plus pointer
4 byte length plus pointer
8 byte length plus pointer

type.string(format.static/dynl1p/dynl2p/dynl4p/dynl8p)

The the memory for the string is dynamic allocated and a write, the using application must free it. The static format is the default and represent the old direct representation. All length are in system endianess, the pointers are 32 or 64 bit depending on the system and at read of such a format, the few byte for this are interpreted in platform depended format.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001181)
Falk Reichbott (administrator)
2018-08-23 16:29

A new formatting component (TABVAR) was implement to read and write certain length pointer structures from and to the memory.

It can be activated as own format.

col(type.binary() format.var(method=xxxx)) or in a short form

col(type.binary() varfmt=xxx)

- Issue History
Date Modified Username Field Change
2018-07-30 16:39 Falk Reichbott New Issue
2018-07-30 16:39 Falk Reichbott Status new => assigned
2018-07-30 16:39 Falk Reichbott Assigned To => Falk Reichbott
2018-08-21 11:38 Falk Reichbott Target Version 5.1.19 => 5.1.18
2018-08-23 16:29 Falk Reichbott Note Added: 0001181
2018-08-23 16:29 Falk Reichbott Status assigned => resolved
2018-08-23 16:29 Falk Reichbott Fixed in Version => 5.1.18
2018-08-23 16:29 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker